const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const inventory_consumables = sequelize.define(
    'inventory_consumables',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name: {
        type: DataTypes.TEXT,
      
      

      },

received_quantity: {
        type: DataTypes.INTEGER,
      
      

      },

available_quantity: {
        type: DataTypes.INTEGER,
      
      

      },

shortage: {
        type: DataTypes.INTEGER,
      
      

      },

last_received_date: {
        type: DataTypes.DATE,
      
      

      },

last_issued_date: {
        type: DataTypes.DATE,
      
      

      },

last_supplier: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  inventory_consumables.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity














































//end loop






    db.inventory_consumables.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.inventory_consumables.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return inventory_consumables;
};


